From 1b778517dbebcf7481e070784938531e74a88d2e Mon Sep 17 00:00:00 2001
From: Thomas Goirand <zigo@debian.org>
Date: Tue, 16 Jun 2020 15:33:13 +0200
Subject: [PATCH] Add a /healthcheck URL from oslo.middleware

This patch adds a /healtcheck URL so that operators can configure haproxy
in a nicer way for Octavia.

Change-Id: I7fbf063a5b49eeb556d9dc544d3853c34b235c03
---
 octavia/api/app.py | 2 ++
 1 file changed, 2 insertions(+)

Index: octavia/octavia/api/app.py
===================================================================
--- octavia.orig/octavia/api/app.py
+++ octavia/octavia/api/app.py
@@ -18,6 +18,7 @@ import keystonemiddleware.audit as audit
 from oslo_config import cfg
 from oslo_log import log as logging
 from oslo_middleware import cors
+from oslo_middleware import healthcheck
 from oslo_middleware import http_proxy_to_wsgi
 from oslo_middleware import request_id
 from oslo_middleware import sizelimit
@@ -97,6 +98,7 @@ def _wrap_app(app):
     # middleware - are annotated with CORS headers, and thus accessible
     # by the browser.
     app = cors.CORS(app, cfg.CONF)
+    app = healthcheck.Healthcheck(app)
     cors.set_defaults(
         allow_headers=['X-Auth-Token', 'X-Openstack-Request-Id'],
         allow_methods=['GET', 'PUT', 'POST', 'DELETE'],
